# Cheats Struct Reference

WARNING! Do _not_ remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility. More...

`#include <cheat_type.h>`

## Data Fields
Cheat | magic_bulldozer
| dynamite industries, unmovables
Cheat | switch_company
| change to another company
Cheat | money
| get rich or poor
Cheat | crossing_tunnels
| allow tunnels that cross each other
Cheat | build_in_pause
| build while in pause mode
Cheat | no_jetcrash
| no jet will crash on small airports anymore
Cheat | switch_climate
| change the climate of the map
Cheat | change_date
| changes date ingame
Cheat | setup_prod
| setup raw-material production in game
Cheat | dummy
| empty cheat (enable running el-engines on normal rail)

## Detailed Description

WARNING! Do _not_ remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility.

Only add new entries at the end of the struct!

Definition at line 28 of file cheat_type.h.

The documentation for this struct was generated from the following file:

- src/cheat_type.h